usb_add_hcd
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_add_hcd — finish generic HCD structure initialization and register

## Synopsis

`int usb_add_hcd (` | struct usb_hcd * | hcd,
| unsigned int | irqnum,
| unsigned long | irqflags`)`;

## Arguments

`hcd`

  the usb_hcd structure to initialize

`irqnum`

  Interrupt line to allocate

`irqflags`

  Interrupt type flags

## Finish the remaining parts of generic HCD initialization

allocate the buffers of consistent memory, register the bus, request the IRQ line, and call the driver's `reset` and `start` routines.

Prev | Up | Next
usb_create_hcd | Home | usb_remove_hcd